#include <deerith/core/engine.h>
#include <deerith/core/log.h>

#include "detail/log.h"

namespace deerith {
	void engine::init() {
		log::init();
		deerith_core_trace("Initializing deerith core");
	}

	void engine::shutdown() {
		deerith_core_trace("Shutting deerith core");
		log::shutdown();
	}
} // namespace deerith
